<?php

function show_price($price)
{

	$price = round(100*$price)/100;
	return number_format($price,0,null,',')." &#1585;&#1740;&#1575;&#1604;";
}

function get_current_time()
{
	return strftime("%Y-%m-%d %H:%M:%S", time());
}

function ShowNavigator($a, $offset, $q, $path, &$out)
{ 	
		if ($a > $q) 
		{

			//[prev]
			if ($offset>0) $out .= "<a href=\"".$path."offset=".($offset-$q)."\">[".STRING_PREVIOUS."]</a> &nbsp;";

			//digital links
			$k = $offset / $q;

			//not more than 4 links to the left
			$min = $k - 5;
			if ($min < 0) { $min = 0; }
			else {
				if ($min >= 1)
				{ //link on the 1st page
					$out .= "<a href=\"".$path."offset=0\">[1-".$q."]</a> &nbsp;";
					if ($min != 1) { $out .= "... &nbsp;"; };
				}
			}

			for ($i = $min; $i<$k; $i++)
			{
				$m = $i*$q + $q;
				if ($m > $a) $m = $a;

				$out .= "<a href=\"".$path."offset=".($i*$q)."\">[".($i*$q+1)."-".$m."]</a> &nbsp;";
			}

			//# of current page
			if (strcmp($offset, "show_all"))
			{
				$min = $offset+$q;
				if ($min > $a) $min = $a;
				$out .= "[".($k*$q+1)."-".$min."] &nbsp;";
			}
			else
			{
				$min = $q;
				if ($min > $a) $min = $a;
				$out .= "<a href=\"".$path."offset=0\">[1-".$min."]</a> &nbsp;";
			}

			//not more than 5 links to the right
			$min = $k + 6;
			if ($min > $a/$q) { $min = $a/$q; };
			for ($i = $k+1; $i<$min; $i++)
			{
				$m = $i*$q+$q;
				if ($m > $a) $m = $a;

				$out .= "<a href=\"".$path."offset=".($i*$q)."\">[".($i*$q+1)."-".$m."]</a> &nbsp;";
			}

			if ($min*$q < $a) { //the last link
				if ($min*$q < $a-$q) $out .= " ... &nbsp;";
				$out .= "<a href=\"".$path."offset=".($a-$a%$q)."\">[".($a-$a%$q+1)."-".$a."]</a> ";
			}

			//[next]
			if ($offset<$a-$q) $out .= "<a href=\"".$path."offset=".($offset+$q)."\">[".STRING_NEXT."]</a>";

			//[show all]
			if (strcmp($offset, "show_all"))
				$out .= " <a href=\"".$path."show_all\">[".STRING_SHOWALL."]</a>";
			else
				$out .= " [".STRING_SHOWALL."]";

		}
}

function validate_search_string($s) 
{
	$s = str_replace("%","",$s);
	$s = str_replace("_","",$s);
	$s = stripslashes($s);
	$s = str_replace("'","\'",$s);
	return $s;

}



?>